﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerHealthManager : MonoBehaviour {
    [SerializeField]
    private int initLife;
    [SerializeField]
    public int currentLife;
    public Slider slider;
    public int rand;
    public static PlayerHealthManager Instance;
    public Animator animGameOver;
    public Text finalScore;
    public bool IsAlive;
    // Use this for initialization
    void Start()
    {
        initLife = 100;
        slider.value = initLife;
        currentLife = initLife;
        animGameOver.SetTrigger("Idle");
        IsAlive = true;

    }
    void Awake() {
        Instance = this;
    }

    // Update is called once per frame
    void Update()
    {
        slider.value = currentLife;

        if (currentLife < initLife && currentLife <= 0) {
            IsAlive = false;
            animGameOver.SetTrigger("Active");
            finalScore.text = "Final Score: "+Manager.Instance.ScreenTimer.ToString("#.#");
        }
    }
    void OnTriggerEnter2D(Collider2D col)
    {
        if (col.gameObject.CompareTag("Moth"))
        {
            if (currentLife < initLife && currentLife>0)
            {
                rand = Random.Range(1, 3);
                currentLife += rand;
                
            }
        }
        if (col.gameObject.CompareTag("Bat"))
        {
            if (currentLife >= 0)
            {
                rand = Random.Range(1, 5);
                currentLife -= rand;
            }
        }
    }
}
