﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuController : MonoBehaviour {
    public Animator animCredits;
    public Animator animScore;
    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    public void LoadGame() {
        SceneManager.LoadScene("MainGame", LoadSceneMode.Single);
    }

    public void ExitGame() {
        Application.Quit();
    }

    public void CreditsOn()
    {
        animCredits.SetTrigger("Active");
    }
    public void CreditsOff()
    {
        animCredits.SetTrigger("Idle");
    }

    public void ScoreOn()
    {
        animScore.SetTrigger("Active");
    }
    public void ScoreOff()
    {
        animScore.SetTrigger("Idle");
    }
}
