﻿using UnityEngine;
using System.Collections;

public class EnemyBehaviour : MonoBehaviour
{
    public int type;
    public int side;
    public GameObject spawnController;

    //inimigo dia
    public Transform _target;
    public int _rangeMode;
    public float velRate;
    public SpriteRenderer sprite;

    void Start()
    {
        spawnController = GameObject.Find("EnemyController");
    }

    void Update()
    {
        if (type == 1)
        {
            transform.Translate(new Vector3(side, 0, 0) * Time.deltaTime * 3.5f);
        }
        else
        {

        }       
    }

    void OnCollisionEnter2D(Collision2D coll)
    {
        if (coll.gameObject.tag == "Player")
        {
            DestroyEnemy();
        }
        if (coll.gameObject.tag == "Wave")
        {
            DestroyEnemy();
        }
    }

    void DestroyEnemy()
    {
        Destroy(gameObject);
        spawnController.gameObject.GetComponent<SpawnEnemy>().count--;
    }
}
