﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Manager : MonoBehaviour {
    public static Manager Instance;
    public float specialCont;
    public int specialLimit;
    public float ScreenTimer;
    public Text TimerTxt;
    public Image Fill;
    public Animator anim;
   
    public bool SpecialActive;
    // Use this for initialization
    void Awake()
    {
        SpecialActive = false;
        Instance = this;
    }
    public void SpecialContReset() {
        specialCont = 0;
    }
    // Update is called once per frame
    void Update()
    {
        if (PlayerHealthManager.Instance.IsAlive)
        {
            ScreenTimer += Time.deltaTime;
        }
        else {
            var temp = PlayerPrefs.GetFloat("Score");
            if (temp == null || temp <= 0 || temp < ScreenTimer)
            {
                PlayerPrefs.SetFloat("Score", ScreenTimer);

            }
           

        }
        TimerTxt.text = ScreenTimer.ToString("#.#");
        Fill.fillAmount = specialCont/500;

        if (specialCont >= specialLimit)
        {
            anim.SetTrigger("Active");
            SpecialActive = true;
        }
        else {
            anim.SetTrigger("Idle");
            SpecialActive = false;
           
        }
    }
    public void AddSpecialPoints()
    {
        if (specialCont <= specialLimit)
        {
            specialCont += 1;
        }
    }
}
